/**
 * Introduction
 *
 * @title ROV - Easy applications from C
 *
 * @copyright Jason Tribbeck / 7th ARM 1994-2001
 *
 * @authors Jason Tribbeck
 *
 * @file colourmenu.h
 *
 * @type helper
 *
 * @description
 *
 * The colourmenu helper creates a menu of the 16 WIMP colours, including an
 * optional 'none' entry.
 *
 */

#ifndef __rov_colorumenu_h
#define __rov_colourmenu_h


#ifdef __cplusplus
extern "C"
{
#endif

#include "main.h"
#include "canvas.h"
#include "menu.h"

/**
 * Creates the menu.
 * @param title the title of the menu.
 * @param choose the function to call when choosing the item.
 * @param none whether there is a 'none' field or not. Non zero indicates a none
 * field is present.
 * @return the created menu.
 * @see menu.h
 */
menu colourmenu_create(char * title, _rov_menuh choose, int none);


#ifdef __cplusplus
}
#endif

#endif
